Name:           mate-sensors-applet
Version:        1.23.0
Release:        1%{?dist}
Summary:        MATE panel applet for hardware sensors
License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.23/%{name}-%{version}.tar.xz

BuildRequires:  gtk3-devel
BuildRequires:  libnotify-devel
BuildRequires:  libXNVCtrl-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  mate-common
BuildRequires:  mate-panel-devel

Requires:       hddtemp

%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds
and voltage readings under Linux.
Can interface via the Linux kernel i2c modules, or the i8k kernel modules
Includes a simple, yet highly customization display and intuitive 
user-interface.
Alarms can be set for each sensor to notify the user once a certain value
has been reached, and can be configured to execute a given command at given
repeated intervals.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The mate-sensors-applet-devel package contains libraries and header files for
developing applications that use mate-sensors-applet.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --disable-schemas-compile \
    --enable-libnotify \
    --with-nvidia

# remove unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
%{make_install}

find $RPM_BUILD_ROOT -name "*.la" -exec rm -rf {} ';'

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/mate-sensors-applet
%{_libdir}/libmate-sensors-applet-plugin.so.*
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.sensor.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet

%files devel
%{_libdir}/libmate-sensors-applet-plugin.so
%{_includedir}/mate-sensors-applet/


%changelog
* Fri Apr 26 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-1
- test 1.23.0

* Fri Apr 26 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.1-1
- update to 1.22.1

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-2
- test https://github.com/mate-desktop/mate-sensors-applet/pull/91

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-1
- update to 1.22.0

* Mon Jun 18 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.21.1-2
- test https://github.com/mate-desktop/mate-sensors-applet/pull/88

* Mon Jun 18 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.21.1-1
- test 1.21.1

* Mon Jun 18 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.21.0-2
- test https://github.com/mate-desktop/mate-sensors-applet/pull/86

* Mon Jun 18 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.21.0-1
- test 1.21.0
- build against gtk+ upstream patch version
- test https://github.com/mate-desktop/mate-sensors-applet/pull/86

* Mon Jun 18 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.2-2
- add patches from master again

* Mon Jun 18 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.2-1
- update to 1.20.2 release

* Wed Feb 28 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.1-2
- test https://github.com/mate-desktop/mate-sensors-applet/pull/80
- test https://github.com/mate-desktop/mate-sensors-applet/pull/83

* Wed Feb 28 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.1-1
- update to 1.20.1 release
- use https://github.com/mate-desktop/mate-sensors-applet/pull/67

* Sun Feb 11 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.0-2
- test https://github.com/mate-desktop/mate-sensors-applet/pull/77
- use https://github.com/mate-desktop/mate-sensors-applet/pull/67
- drop IconCache rpm scriplet

* Sun Feb 11 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.0-1
- update to 1.20.0 release
- drop GSettings Schema rpm scriplet
- switch to using autosetup
- use https://github.com/mate-desktop/mate-sensors-applet/pull/67

* Sun May 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.2-1
- test 1.19.2
- remove udisk plugin

* Sun May 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.1-2
- test https://github.com/mate-desktop/mate-sensors-applet/pull/58
- test https://github.com/mate-desktop/mate-sensors-applet/commit/7b42bfe
- test https://github.com/mate-desktop/mate-sensors-applet/pull/63
- test https://github.com/mate-desktop/mate-sensors-applet/pull/64
- test https://github.com/mate-desktop/mate-sensors-applet/pull/65
- test https://github.com/mate-desktop/mate-sensors-applet/pull/67
- test https://github.com/mate-desktop/mate-sensors-applet/pull/69
- test https://github.com/mate-desktop/mate-sensors-applet/pull/71

* Sun May 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.1-1
- test 1.19.1
- use udisks2

* Sun May 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.0-2
- test local deprecation fixes
- test udisk2 support
- test https://github.com/mate-desktop/mate-sensors-applet/pull/49

* Sun May 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.0-1
- update to 1.19.0

* Wed Apr 05 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.2-1
- test 1.18.1 release

* Wed Apr 05 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.1-2
- test deprecation fixes

* Wed Apr 05 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.1-1
- test 1.18.1

* Tue Mar 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.0-2
- try fix https://github.com/mate-desktop/mate-sensors-applet/issues/41

* Tue Mar 14 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.0-1
- update to 1.18.0 release

* Sat Dec 03 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-2
- test deprecation fixes again

* Sat Dec 03 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-1
- update to 1.17.0 release

* Sat Sep 17 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.16.0-1
- test 1.16.0 release

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-2
- test deprecation fixes

* Thu Jun 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.15.0-1
- update to 1.15.0 release
- switch to gtk+3

* Thu Apr 07 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.14.0-11
- update to 1.14.0

* Mon Feb 22 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-12
- gcc-6 rebuild

* Tue Jan 26 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.13.0-11
- update to 1.13.0

* Fri Dec 04 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> 1.12.1-11
- update to 1.12.1 release

* Wed Nov 04 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-11
- update to 1.12.0 release

* Fri Oct 16 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.11.0-11
- update to 1.11.0 release

* Tue Jul 21 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.4-11
- update to 1.10.4 release

* Fri Jul 10 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.3-11
- update to 1.10.3 release
- help is now working
- use some upstream patches to improve nvidia and udisks sensors

* Thu Jun 25 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.2-11
- update to 1.10.2 release

* Mon Jun 08 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1-11
- update to 1.10.1 release

* Fri Jun 5 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-12
- fix applet

* Sun May 10 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-11
- update to 1.10.0 release

* Sun Apr 05 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.90-11
- update to 1.9.90 release

* Tue Nov 11 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-1
- update to 1.9.0 release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 18 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0.3
- fix german translation

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90
- use modern 'make install' macro
- add --with-gnome --all-name for find language
- remove --disable-scrollkeeper configure flag

* Sat Jan 4 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- update to 1.6.1 release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-3
- fix bogus date in change log

* Thu Apr 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- add --disable-schemas-compile configure flag
- organized %%postun scpriptlet section
- droped specific versioning from BR's
- fix usage of spaces and tabs in spec file
- change BR dbus-glib-devel to gtk2-devel

* Wed Apr 03 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- update to 1.6.0

* Thu Mar 21 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.2-1
- correct source0 download link
- update to 1.5.2 release
- remove unused-direct-shlib-dependency
- remove upstreamed patch
- switch to use libnotify instead of libmatenotify
- fix bogus date in %%changelog:

* Thu Mar 21 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.1-2
- initial build for fedora

* Sun Jan 20 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.1-1
- update to 1.5.1 which fixed
- https://github.com/mate-desktop/mate-sensors-applet/issues/7

* Wed Jan 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-1
- build against official fedora
- remove epoch
- remove BR scrollkeeper

* Mon Nov 05 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-0102
- add epoch

* Sat Oct 06 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-0101
- improve and review spec file
- remove scrollkeeper post and postun requires
- fix scriplet section
- change patch name
- fix license information
- fix postin/un-without-ldconfig
- fix description

* Mon Aug 27 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-0100
- build for f18

* Wed Jul 18 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-1
- update to 1.4.0

* Sun Mar 11 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.2.0-1
- update to 1.2.0

* Tue Feb 21 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.1-2
- rebuild for enable builds for .i686
- enable fedora patches

* Thu Jan 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.1-1
- update to version 1.1.1

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-sensors-applet.spec based on gnome-applet-sensors-2.2.7-4.fc15 spec

* Thu Nov 18 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.7-4
- patch and rebuild for new libnotify 0.7.0

